#include <string.h>
#include "defines.h"

void strmfp30(unchar *path,unchar *drv,unchar *dir,unchar *name)
// path=drv+dir+name
// drv=LUN ID:		後ろの':'は必須
// dir=\dir1\dir2	後ろの'\'はなくても良い（但し、ルートは除く）
//			dir[0]=0のときはdir="\\"とみなす
// fname=fname.ext
{
	// ドライブ
	while (*path=*drv++) path++;
	// pathはEOSの位置
	
	// ディレクトリ
	while (*path=*dir++) path++;
	if (*(path-1)!='\\') *path++='\\';
	
	// ファイル名
	while (*path=*name++) path++;
}
